Delete PTY session
Kill the shell process and delete the PTY session.
Kill the shell process and delete the PTY session.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
sessionID*string
Unique session identifier.
Response Body
application/json
application/json
curl -X DELETE "https://api.leap0.dev/v1/sandbox/string/pty/string"Empty
{ "message": "string"}{ "message": "string"}Get PTY session GET
Get information about a PTY session.
Connect to PTY session (WebSocket) GET
Upgrade to a WebSocket connection for interactive terminal I/O. Send terminal input as binary WebSocket messages. Receive terminal output as binary WebSocket messages. The connection stays alive until closed by either side or the sandbox is deleted.

